<form [formGroup]="userForm" novalidate (ngSubmit)="onSubmit()">
<mat-card>
  <mat-card-content>
  <mat-card style="margin-bottom: 10px;">
    <mat-card-header>
      <mat-card-title>Personal Details</mat-card-title>
    </mat-card-header>
    <s-grid
      lg = "'c_pic c_form'"
      md = "'c_pic c_form'"
      sm = "'c_pic c_form'"
      x-sm="'c_pic c_form'">

      <s-grid-tile [gridArea]="'c_pic'"  >
        <mat-card><img src="https://api.adorable.io/avatars/109/fire.png"></mat-card>
        <button mat-stroked-button>Upload</button>
        <button mat-icon-button>
          <mat-icon>save</mat-icon>
        </button>
        <button mat-icon-button>
          <mat-icon>delete</mat-icon>
        </button>
      </s-grid-tile>

      <s-grid-tile [gridArea]="'c_form'">

        <div class="row">
          <div class="col">
            <mat-form-field class="full-width">
              <input matInput placeholder="First Name*" formControlName="firstName">
              <mat-error *ngIf="userForm.controls['firstName'].hasError('required')">
                First Name is <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>
          <div class="col">
            <mat-form-field class="full-width">
              <input matInput placeholder="Last Name" formControlName="lastName">
            </mat-form-field>
          </div>
        </div>
        <div class="row">
          <div class="col">
            <mat-form-field>
              <input matInput placeholder="DOB*" formControlName="dob">
              <!--<mat-error *ngIf="userForm.controls['dob'].hasError('required')">
                DOB is <strong>required</strong>
              </mat-error>-->
            </mat-form-field>
          </div>
          <div class="col">
            <mat-form-field>
              <input matInput placeholder="NIC" formControlName="nic">
            </mat-form-field>
          </div>
          <div class="col">
            <mat-form-field>
              <input matInput placeholder="Phone Number*" formControlName="phoneNumber">
              <!--<mat-error *ngIf="userForm.controls['phoneNumber'].hasError('required')">
                Phone Number is <strong>required</strong>
              </mat-error>-->
            </mat-form-field>
          </div>
          <div class="col">
            <mat-form-field>
              <input matInput placeholder="Email*" formControlName="email">
              <!--<mat-error *ngIf="userForm.controls['email'].hasError('required')">
                Email is <strong>required</strong>
              </mat-error>-->
            </mat-form-field>
          </div>
        </div>
      </s-grid-tile>
    </s-grid>
  </mat-card>

  <mat-card style="margin-bottom: 10px;">
    <h2>Credentials</h2>
    <div class="row">
      <div class="col">
      <mat-form-field>
        <input matInput placeholder="Password*" formControlName="password">
      </mat-form-field>
      </div>
      <div class="col">
      <mat-form-field>
        <input matInput placeholder="Confirm Password*">
      </mat-form-field>
      </div>
    </div>
  </mat-card>

  <mat-card style="margin-bottom: 10px;">
    <h2>Location & Organization Details</h2>
    <div class="row">
    <div class="col">
      <mat-form-field>
        <input matInput placeholder="Street">
      </mat-form-field>
    </div>
    <div class="col">
      <mat-form-field>
        <input matInput placeholder="City*">
      </mat-form-field>
    </div>
    <div class="col">
      <mat-form-field>
        <input matInput placeholder="Province">
      </mat-form-field>
    </div>
    <div class="col">
      <mat-form-field>
        <input matInput placeholder="Country">
      </mat-form-field>
    </div>
    <div class="col">
      <mat-form-field>
        <input matInput placeholder="Organization*">
      </mat-form-field>
    </div>
    </div>
  </mat-card>

  <mat-card style="margin-bottom: 10px;">
    <h2>Role & Privileges</h2>
    <div class="row">
    <div class="col">
      <mat-form-field>
        <input matInput placeholder="Role*">
      </mat-form-field>
    </div>
    <div class="col">
      <mat-form-field>
        <input matInput placeholder="Preferred Medium*">
      </mat-form-field>
    </div>
    </div>
  </mat-card>

    <mat-card style="margin-bottom: 10px;">
      <mat-card-actions>
        <button mat-raised-button color="primary" type="submit">Submit</button>
        <button mat-raised-button color="primary" type="clear">Clear</button>
      </mat-card-actions>
    </mat-card>
  </mat-card-content>
</mat-card>
</form>
